Bug 989396 - [Admin Portal] Setting config value DefaultWindowsTimeZone has no effect
[Admin Portal] Setting config value DefaultWindowsTimeZone has no effect
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Martin Betak
Ilanit Stein
virt
: Reopened, Triaged
Depends On:
Blocks: 1026242
  Show dependency treegraph
 
Reported: 2013-07-29 04:22 EDT by Jiri Belka
Modified: 2014-01-21 17:29 EST (History)
7 users (show)

See Also:
Fixed In Version: is18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1026242 (view as bug list)
Environment:
Last Closed: 2013-08-16 16:56:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19929 None None None Never

  None (edit)
Description Jiri Belka 2013-07-29 04:22:54 EDT
Description of problem:
Some values which are changeable with rhevm-config (ie. DefaultWindowsTimeZone) look cached in client's browser and are not refreshed after engine is restarted and the user is re-logged into Admin Portal again.

Refreshing the app in browser works but this step is - I think - not documented as mandatory.

Version-Release number of selected component (if applicable):
sf19

How reproducible:
100%

Steps to Reproduce:
1. login into Admin Portal, create new VM, check its TZ in VM properties
2. log out
3. rhevm-config -s DefaultWindowsTimeZone="Isreal Standard Time"
4. login into Admin Portal, create new VM, check its TZ in VM properties

Actual results:
changed TZ (DefaultWindowsTimeZone) is not taken into account

Expected results:
the application should not cache these kind of values?

Additional info:
seems relevant to BZ844429 but it's quite inactive. If it is duplicate, close it. If one must refresh browser after each change with rhevm-config, please state it and put it in docs.
Comment 1 Itamar Heim 2013-07-30 01:42:56 EDT
need to clear config cache on re-login?
Comment 2 Einav Cohen 2013-08-16 16:56:22 EDT
(In reply to Jiri Belka from comment #0)
> ...
> 
> seems relevant to BZ844429 but it's quite inactive. If it is duplicate,
> close it. 

closing. bug 844429 will be "reactivated".

*** This bug has been marked as a duplicate of bug 844429 ***
Comment 3 Einav Cohen 2013-09-12 12:25:34 EDT
[see bug 844429] it seems that we are already reloading the configuration values upon login, and DefaultWindowsTimeZone should be no different. re-opening for investigation.
Comment 4 Einav Cohen 2013-09-17 15:03:12 EDT
- from initial investigation, it doesn't look like there is a global configuration loading problem here - problem seems to be specific to TimeZone -> moving to 'virt'.

- there is a chance that Bug 988259 is related (or at least its fix).
@Greg - if this is the case, please assign this BZ to Bug 988259 assignee, copy the relevant oVirt gerrit External Tracker(s) from Bug 988259 to this BZ and move it to MODIFIED (assuming all relevant patches were already merged).

Thanks.
Comment 5 Greg Sheremeta 2013-09-18 19:39:32 EDT
It just seems like the DefaultWindowsTimeZone doesn't do anything at all. It doesn't pre-select the drop down. I can't create a Windows VM with an empty time zone (in an attempt to let it get set to the default.)

My guess is it's related to the problems in bug 988259. Don't see a cache problem. Assigning to bug 988259 assignee.
Comment 6 Jiri Belka 2013-10-02 08:35:21 EDT
comment #5 is right. I set 'Israel Standard Time' and new Windows 7 64bit VM has empty TZ in VM properties/database. (I restarted engine, even I used completely clean FF profile.)
Comment 7 Ilanit Stein 2013-10-20 09:28:42 EDT
checked on is18, Still Default time zone not updated for a new VM, though changed by rhevm-config, and restarted ovirt-engine service.
Comment 8 Martin Betak 2013-10-24 08:16:08 EDT
Ok, so the problem was the typo in the timezone "IsrEAl Standard Time" and since the engine falls back to GMT when the timezone entered via engine-config is invalid it looks like the value hasn't changed. 

Posted a patch to add timezone validation to engine-config.
Comment 9 Michal Skrivanek 2013-11-04 04:21:03 EST
that's not the point of this bug. The typo checking will be fixed in 3.4. Otherwise the problem seems to be resolved when you use correct time zone in the rhevm-config
Comment 10 Ilanit Stein 2013-11-04 10:07:02 EST
I retested it on is21, and found it is working OK in the following flow:


1. Change DefaultWindowsTimeZone to "Israel Standard Time"
2. Service ovirt-engine restart
3. Create a new windows VM, and see that default time zone update to "Israel Standard Time"
Comment 11 Itamar Heim 2014-01-21 17:24:42 EST
Closing - RHEV 3.3 Released
Comment 12 Itamar Heim 2014-01-21 17:25:31 EST
Closing - RHEV 3.3 Released
Comment 13 Itamar Heim 2014-01-21 17:29:05 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.